#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kmix.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kmix.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES kmixui.rc DESTINATION ${DATA_INSTALL_DIR}/kmix )
install( FILES restore_kmix_volumes.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES kmixapplet.desktop DESTINATION ${DATA_INSTALL_DIR}/kicker/applets )
install( FILES kmixctrl_restore.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### kmix_panelapplet (module) #################

tde_add_kpart( kmix_panelapplet AUTOMOC
  SOURCES
    kmixapplet.cpp viewbase.cpp viewapplet.cpp mixdevicewidget.cpp
    mdwslider.cpp mixer.cpp mixset.cpp mixdevice.cpp
    mixer_backend.cpp ksmallslider.cpp volume.cpp kledbutton.cpp
    verticaltext.cpp mixerIface.skel colorwidget.ui
    dialogviewconfiguration.cpp kmixtoolbox.cpp mixertoolbox.cpp
    dialogselectmaster.cpp
  LINK tdeui-shared ${ALSA_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kmix (tdeinit) ############################

tde_add_tdeinit_executable( kmix AUTOMOC
  SOURCES
    main.cpp kmix.cpp kmixdockwidget.cpp kmixprefdlg.cpp
    viewbase.cpp viewoutput.cpp viewinput.cpp viewswitches.cpp
    viewsurround.cpp viewdockareapopup.cpp viewsliders.cpp
    viewgrid.cpp mixdevicewidget.cpp mdwslider.cpp
    mdwswitch.cpp mdwenum.cpp kmixerwidget.cpp mixer.cpp
    mixset.cpp mixdevice.cpp mixer_backend.cpp ksmallslider.cpp
    volume.cpp kledbutton.cpp verticaltext.cpp mixerIface.skel
    kmixtoolbox.cpp mixertoolbox.cpp dialogviewconfiguration.cpp
    KMixApp.cpp dialogselectmaster.cpp
  LINK tdeui-shared ${ALSA_LIBRARIES}
)


##### kmixctrl (tdeinit) ########################

tde_add_tdeinit_executable( kmixctrl AUTOMOC
  SOURCES
    kmixctrl.cpp mixer.cpp mixset.cpp mixdevice.cpp
    volume.cpp mixerIface.skel mixertoolbox.cpp
    mixer_backend.cpp
  LINK tdecore-shared ${ALSA_LIBRARIES}
)
